# Class AbstractReportTask

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.api.internal.ConventionTask
org.gradle.api.tasks.diagnostics.AbstractReportTask

All Implemented Interfaces:
  `Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, Named, ExtensionAware, Task, Configurable<Task>`

@Deprecated @DisableCachingByDefault(because="Abstract super-class, not to be instantiated directly") public abstract class AbstractReportTask extends org.gradle.api.internal.ConventionTask
Deprecated.
Use `AbstractProjectBasedReportTask` instead.
The base class for all project report tasks. Preserved for backward compatibility.

Since:
  0.7

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface Named

  `Named.Namer`

- ## Field Summary

  ### Fields inherited from interface Task

  `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractReportTask()`
  Deprecated.
  Creates a new `AbstractReportTask`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `(package private) String`
  `clickableOutputFileUrl()`
  Deprecated.
  `void`
  `generate()`
  Deprecated.
  Generate.
  `protected abstract void`
  `generate(Project project)`
  Deprecated.
  Generate.
  `protected abstract org.gradle.initialization.BuildClientMetaData`
  `getClientMetaData()`
  Deprecated.
  `@Nullable File`
  `getOutputFile()`
  Deprecated.
  Returns the file which the report will be written to.
  `Set<Project>`
  `getProjects()`
  Deprecated.
  Returns the set of project to generate this report for.
  `protected abstract org.gradle.api.tasks.diagnostics.internal.ReportRenderer`
  `getRenderer()`
  Deprecated.
  Returns the renderer.
  `protected abstract org.gradle.internal.logging.text.StyledTextOutputFactory`
  `getTextOutputFactory()`
  Deprecated.
  `(package private) void`
  `logClickableOutputFileUrl()`
  Deprecated.
  `(package private) org.gradle.api.tasks.diagnostics.internal.ReportGenerator`
  `reportGenerator()`
  Deprecated.
  `void`
  `setOutputFile(@Nullable File outputFile)`
  Deprecated.
  Sets the file which the report will be written to.
  `void`
  `setProjects(Set<Project> projects)`
  Deprecated.
  Specifies the set of projects to generate this report for.
  `(package private) boolean`
  `shouldCreateReportFile()`
  Deprecated.

  ### Methods inherited from class org.gradle.api.internal.ConventionTask

  `conventionMapping, conventionMapping, getConventionMapping`

  ### Methods inherited from class DefaultTask

  `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

  ### Methods inherited from class org.gradle.api.internal.AbstractTask

  `acceptServiceReferences, appendParallelSafeAction, doNotTrackState, doNotTrackStateIf, getAsDynamicObject, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getLoggingManager, getOnlyIf, getReasonNotToTrackState, getReasonsNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, restoreOnlyIf, restoreTaskActions, service, setImpliesSubProjects`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface Task

  `doNotTrackState, notCompatibleWithConfigurationCache, service`

- ## Constructor Details

  - ### AbstractReportTask

    protected AbstractReportTask()
    Deprecated.
    Creates a new `AbstractReportTask`.
    Since:
      0.8

- ## Method Details

  - ### getClientMetaData

    @Inject protected abstract org.gradle.initialization.BuildClientMetaData getClientMetaData()
    Deprecated.

  - ### getTextOutputFactory

    @Inject protected abstract org.gradle.internal.logging.text.StyledTextOutputFactory getTextOutputFactory()
    Deprecated.

  - ### generate

    public void generate()
    Deprecated.
    Generate.
    Since:
      0.8

  - ### reportGenerator

    org.gradle.api.tasks.diagnostics.internal.ReportGenerator reportGenerator()
    Deprecated.

  - ### logClickableOutputFileUrl

    void logClickableOutputFileUrl()
    Deprecated.

  - ### clickableOutputFileUrl

    String clickableOutputFileUrl()
    Deprecated.

  - ### shouldCreateReportFile

    boolean shouldCreateReportFile()
    Deprecated.

  - ### getRenderer

    @Internal protected abstract org.gradle.api.tasks.diagnostics.internal.ReportRenderer getRenderer()
    Deprecated.
    Returns the renderer.
    Since:
      0.7

  - ### generate

    protected abstract void generate(Project project) throws IOException
    Deprecated.
    Generate.
    Throws:
      `IOException`
    Since:
      0.7

  - ### getOutputFile

    @Optional @OutputFile public @Nullable File getOutputFile()
    Deprecated.
    Returns the file which the report will be written to. When set to `null`, the report is written to `System.out`. Defaults to `null`.
    Returns:
      The output file. May be null.
    Since:
      0.7

  - ### setOutputFile

    public void setOutputFile(@Nullable File outputFile)
    Deprecated.
    Sets the file which the report will be written to. Set this to `null` to write the report to `System.out`.
    Parameters:
      `outputFile` - The output file. May be null.
    Since:
      0.7

  - ### getProjects

    @Internal public Set<Project> getProjects()
    Deprecated.
    Returns the set of project to generate this report for. By default, the report is generated for the task's containing project.
    Returns:
      The set of files.
    Since:
      0.9

  - ### setProjects

    public void setProjects(Set<Project> projects)
    Deprecated.
    Specifies the set of projects to generate this report for.
    Parameters:
      `projects` - The set of projects. Must not be null.
    Since:
      0.9